%define debug_package %{nil}

Name: vmango
Summary: Virtual Machine Manager
Version: 0.12.1
Release: 22.g103b3ec%{dist}
Source0: %{name}-%{version}.tar.gz
License: GPLv3
Group: Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}.buildroot
Vendor: subuk
Requires: genisoimage
BuildRequires: go >= 1.11
BuildRequires: libvirt-devel
Requires(pre): shadow-utils
%{?systemd_requires}

%description
%{summary}

%prep
%setup -q

%build
make

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}
install -d %{buildroot}%{_unitdir}
install vmango.service %{buildroot}%{_unitdir}/
install -d %{buildroot}/var/lib/vmango/

%pre
getent group vmango >/dev/null || groupadd -r vmango
getent passwd vmango >/dev/null || \
    useradd -r -g vmango -d /var/lib/vmango -s /sbin/nologin -c "github.com/subuk/vmango" vmango
exit 0

%postun
%systemd_postun vmango.service

%preun
%systemd_preun vmango.service

%post
%systemd_post vmango.service

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0755,root,root) %{_prefix}/bin/vmango
%attr(0755,vmango,vmango) /var/lib/vmango
%config(noreplace) /etc/vmango.conf
%{_unitdir}/vmango.service

%changelog
* Wed Jun 24 2020 16:07:33 +0000 Matvey Kruglov <kubuzzzz@gmail.com> 0.12.1-1
- Update upstream to 0.12.1

* Sun Apr 26 2020 09:13:49 +0000 Matvey Kruglov <kubuzzzz@gmail.com> 0.12.0-1
- Update upstream to 0.12.0

* Sat Apr 4 2020 15:31:14 +0000 Matvey Kruglov <kubuzzzz@gmail.com> 0.11.0-1
- Update upstream to 0.11.0

* Sun Nov 24 2019 11:56:03 +0000 Matvey Kruglov <kubuzzzz@gmail.com> 0.10.0-1
- Update upstream to 0.10.0

* Sat Sep 7 2019 20:11:31 +0000 Matvey Kruglov <kubuzzzz@gmail.com> 0.9.1-1
- Update upstream to 0.9.1
